title: algokey sign
---
## algokey sign



Sign transactions from a file using a private key



```

algokey sign [flags]

```



### Options



```

  -h, --help              help for sign

  -k, --keyfile string    Private key filename

  -m, --mnemonic string   Private key mnemonic

  -o, --outfile string    Transaction output filename

  -t, --txfile string     Transaction input filename

```



### SEE ALSO



* [algokey](../../algokey/algokey/)	 - CLI for managing Algorand keys



